Debian Bug report logs - #479101
linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>

Date: Fri, 2 May 2008 19:06:01 UTC

Severity: important

Found in version linux-2.6/2.6.25-7

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Fri, 02 May 2008 21:03:28 +0200
Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Package: linux-image-2.6.25-1-amd64
Version: 2.6.25-1
Severity: normal

*** Please type your report below this line ***
Hi,

The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
Previous kernels worked.  The output is:
[...]
NET: Registered protocol family 1
NET: Registered protocol family 17
registered taskstats version 1
RAMDISK: coulndn't find valid RAM disk image starting at 0
List of all partitions:
... ram0 (driver?)
...
... ram15 (driver?)
No filesystem could mount root, tried:
Kernel panic - not syncing: VFS: Unable to mount root fs on
unknown-block (8,3)

I tried the ideas of http://wiki.debian.org/InitramfsDebug:
with rootdelay=9, it does wait for 9 seconds, afterwards it panics
with the same message.

With 2.6.24, ls /proc/cmdline prints:
BOOT_IMAGE=LinuxOLD ro root=803

I executed, with no luck:
dpkg-reconfigure linux-image-2.6.25-1-amd64
dpkg-reconfigure initramfs-tools

ls -l /boot gives:
total 33111
-rw-r--r-- 1 root root     512 2007-10-07 18:32 boot.0800
-rw-r--r-- 1 root root     512 2007-10-07 18:48 boot.0803
-rw-r--r-- 1 root root  308326 2008-03-15 22:44 coffee.bmp
-rw-r--r-- 1 root root   79389 2008-04-19 01:13 config-2.6.24-1-amd64
-rw-r--r-- 1 root root   81924 2008-04-25 17:07 config-2.6.25-1-amd64
lrwxrwxrwx 1 root root      15 2007-10-07 18:32 debian.bmp ->
/boot/sarge.bmp
-rw-r--r-- 1 root root  153720 2008-03-15 22:44 debianlilo.bmp
lrwxrwxrwx 1 root root      25 2008-04-29 10:57 initrd.img ->
initrd.img-2.6.25-1-amd64
-rw-r--r-- 1 root root 6831589 2008-04-19 23:53
initrd.img-2.6.24-1-amd64
-rw-r--r-- 1 root root 6597033 2008-03-27 22:57
initrd.img-2.6.24-1-amd64.bak
-rw-r--r-- 1 root root 6989209 2008-05-02 13:15
initrd.img-2.6.25-1-amd64
-rw-r--r-- 1 root root 6990195 2008-04-29 10:57
initrd.img-2.6.25-1-amd64.bak
lrwxrwxrwx 1 root root      25 2008-01-29 22:15 initrd.img.old ->
initrd.img-2.6.24-1-amd64
-rw------- 1 root root   18944 2008-05-02 13:16 map
-rw-r--r-- 1 root root   23662 2008-03-15 22:44 sarge.bmp
-rw-r--r-- 1 root root   24116 2008-03-15 22:44 sid.bmp
-rw-r--r-- 1 root root 1158727 2008-04-19 01:13
System.map-2.6.24-1-amd64
-rw-r--r-- 1 root root 1185722 2008-04-25 17:07
System.map-2.6.25-1-amd64
lrwxrwxrwx 1 root root      22 2008-04-29 10:57 vmlinuz ->
vmlinuz-2.6.25-1-amd64
-rw-r--r-- 1 root root 1668120 2008-04-19 01:12 vmlinuz-2.6.24-1-amd64
-rw-r--r-- 1 root root 1727008 2008-04-25 17:07 vmlinuz-2.6.25-1-amd64
lrwxrwxrwx 1 root root      22 2008-01-29 22:15 vmlinuz.old ->
vmlinuz-2.6.24-1-amd64

Here is the diff of initramfs content between 2.6.25 and 2.6.24 (I
replaced 2.6.24 with 2.6.25 to have only the useful differences), as
suggested by http://wiki.debian.org/InitramfsDebug:

--- initramfs-old.content   2008-05-02 20:36:47.000000000 +0200
+++ initramfs.content   2008-05-02 20:35:12.000000000 +0200
@@ -52,13 +52,11 @@
 ./etc/udev/rules.d/z25_persistent-cd.rules
 ./etc/udev/rules.d/z20_persistent-input.rules
 ./etc/udev/rules.d/45-hplip.rules
-./etc/udev/rules.d/z60_libsane-extras.rules.dpkg-new
 ./etc/udev/rules.d/z60_alsa-utils.rules
 ./etc/udev/rules.d/85-pcmcia.rules
 ./etc/udev/rules.d/z55_hotplug.rules
 ./etc/udev/rules.d/z60_libccid.rules
 ./etc/udev/rules.d/z60_hdparm.rules
-./etc/udev/rules.d/z60_libsane.rules.dpkg-new
 ./etc/udev/rules.d/z60_libsane.rules
 ./etc/udev/rules.d/z99_hal.rules
 ./etc/udev/rules.d/z50_run.rules
@@ -90,7 +88,6 @@
 ./etc/modprobe.d/arch-aliases
 ./etc/modprobe.d/thinkpad_acpi.modprobe
 ./etc/modprobe.d/oss-compat
-./etc/modprobe.d/libsane.dpkg-new
 ./etc/modprobe.d/alsa-base-blacklist
 ./etc/modprobe.d/display_class
 ./etc/modprobe.d/pnp-hotplug
@@ -122,6 +119,8 @@
 ./lib/modules/2.6.25-1-amd64/kernel/fs/jfs/jfs.ko
 ./lib/modules/2.6.25-1-amd64/kernel/fs/nfs
 ./lib/modules/2.6.25-1-amd64/kernel/fs/nfs/nfs.ko
+./lib/modules/2.6.25-1-amd64/kernel/fs/nls
+./lib/modules/2.6.25-1-amd64/kernel/fs/nls/nls_base.ko
 ./lib/modules/2.6.25-1-amd64/kernel/fs/xfs
 ./lib/modules/2.6.25-1-amd64/kernel/fs/xfs/xfs.ko
 ./lib/modules/2.6.25-1-amd64/kernel/fs/ext2
@@ -192,15 +191,16 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/pdc202xx_new.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/pdc202xx_old.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/atiixp.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/ide-pci-generic.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/triflex.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/sc1200.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/cs5520.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/cs5530.ko
-./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/generic.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/jmicron.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/slc90e66.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/rz1000.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/piix.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/cmd640.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/cmd64x.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/hpt366.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/hpt34x.ko
@@ -209,14 +209,17 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/aec62xx.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/siimage.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-core.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-pnp.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-disk.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-cd_mod.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-tape.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/legacy
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/legacy/ide-cs.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-generic.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-floppy.ko
-./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-cd.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net
+./lib/modules/2.6.25-1-amd64/kernel/drivers/net/igb
+./lib/modules/2.6.25-1-amd64/kernel/drivers/net/igb/igb.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/atl1
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/atl1/atl1.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/8139too.ko
@@ -264,6 +267,7 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/pcnet32.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/netconsole.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/sis900.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/net/bnx2.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/8390.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/via-rhine.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/myri10ge
@@ -281,11 +285,14 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/usb/storage
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/usb/storage/usb-storage.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/acpi
+./lib/modules/2.6.25-1-amd64/kernel/drivers/acpi/dock.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/acpi/thermal.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/acpi/processor.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/acpi/fan.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/base
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/base/firmware_class.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/misc
+./lib/modules/2.6.25-1-amd64/kernel/drivers/misc/enclosure.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/qla1280.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/scsi_transport_sas.ko
@@ -321,6 +328,7 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/gdth.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/initio.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/3w-xxxx.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/mvsas.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/imm.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/ipr.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/ips.ko
@@ -341,9 +349,9 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/aic7xxx
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/aic7xxx/aic7xxx.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/aic7xxx/aic79xx.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/ses.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/scsi_mod.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/hptiop.ko
-./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/atp870u.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/sd_mod.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/scsi_tgt.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/sym53c8xx_2
@@ -359,6 +367,7 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/aoe
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/aoe/aoe.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/block/virtio_blk.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/cpqarray.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/loop.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/floppy.ko
@@ -392,6 +401,8 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/DAC960.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/cdrom
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/cdrom/cdrom.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/input
+./lib/modules/2.6.25-1-amd64/kernel/drivers/input/ff-memless.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/video
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/video/vga16fb.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/video/vgastate.ko
@@ -412,6 +423,8 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/pcmcia
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/pcmcia/pcmcia.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/pcmcia/pcmcia_core.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/virtio
+./lib/modules/2.6.25-1-amd64/kernel/drivers/virtio/virtio.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/parport
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/parport/parport.ko
 ./lib/libsplashycnf.so.1

I have reiserfs.

I have reiserfs.

Best regards,
Eugen Dedu

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.21     Debian configuration
management sy
ii  initramfs-tools [linux-initra 0.92a      tools for generating an
initramfs
ii  module-init-tools             3.4-1      tools for managing Linux
kernel mo

linux-image-2.6.25-1-amd64 recommends no packages.

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.25-1-amd64/postinst/bootloader-error-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/preinst/abort-install-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/postinst/old-initrd-link-2.6.25-1-amd64: true

linux-image-2.6.25-1-amd64/postinst/depmod-error-initrd-2.6.25-1-amd64:
false
  linux-image-2.6.25-1-amd64/preinst/lilo-initrd-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/bootloader-initrd-2.6.25-1-amd64: true

linux-image-2.6.25-1-amd64/preinst/overwriting-modules-2.6.25-1-amd64: true

linux-image-2.6.25-1-amd64/prerm/removing-running-kernel-2.6.25-1-amd64:
true
  linux-image-2.6.25-1-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.25-1-amd64/preinst/initrd-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/postinst/depmod-error-2.6.25-1-amd64: false
  linux-image-2.6.25-1-amd64/preinst/failed-to-move-modules-2.6.25-1-amd64:

linux-image-2.6.25-1-amd64/postinst/old-system-map-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/lilo-has-ramdisk:

linux-image-2.6.25-1-amd64/prerm/would-invalidate-boot-loader-2.6.25-1-amd64: 

true
  linux-image-2.6.25-1-amd64/postinst/bootloader-test-error-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/preinst/abort-overwrite-2.6.25-1-amd64:

linux-image-2.6.25-1-amd64/postinst/create-kimage-link-2.6.25-1-amd64: true

linux-image-2.6.25-1-amd64/postinst/old-dir-initrd-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/elilo-initrd-2.6.25-1-amd64: true






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 479101@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 3 May 2008 01:22:47 +0200
On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
> Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
> Package: linux-image-2.6.25-1-amd64
> Version: 2.6.25-1
> Severity: normal
> 
> *** Please type your report below this line ***
> Hi,
> 
> The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
> Previous kernels worked.  The output is:
> [...]
> NET: Registered protocol family 1
> NET: Registered protocol family 17
> registered taskstats version 1
> RAMDISK: coulndn't find valid RAM disk image starting at 0
> List of all partitions:
> ... ram0 (driver?)
> ...
> ... ram15 (driver?)
> No filesystem could mount root, tried:
> Kernel panic - not syncing: VFS: Unable to mount root fs on
> unknown-block (8,3)
> 
> I tried the ideas of http://wiki.debian.org/InitramfsDebug:
> with rootdelay=9, it does wait for 9 seconds, afterwards it panics
> with the same message.
> 
> With 2.6.24, ls /proc/cmdline prints:
> BOOT_IMAGE=LinuxOLD ro root=803
> 
> I executed, with no luck:
> dpkg-reconfigure linux-image-2.6.25-1-amd64
> dpkg-reconfigure initramfs-tools

try this:
lilo
 
 
> I have reiserfs.

not a very safe choice, but well..
 
regards

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 479101@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: maximilian attems <max@stro.at>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 03 May 2008 10:01:20 +0200
maximilian attems wrote:
> On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
>> Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
>> Package: linux-image-2.6.25-1-amd64
>> Version: 2.6.25-1
>> Severity: normal
>>
>> *** Please type your report below this line ***
>> Hi,
>>
>> The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
>> Previous kernels worked.  The output is:
>> [...]
>> NET: Registered protocol family 1
>> NET: Registered protocol family 17
>> registered taskstats version 1
>> RAMDISK: coulndn't find valid RAM disk image starting at 0
>> List of all partitions:
>> ... ram0 (driver?)
>> ...
>> ... ram15 (driver?)
>> No filesystem could mount root, tried:
>> Kernel panic - not syncing: VFS: Unable to mount root fs on
>> unknown-block (8,3)
>>
>> I tried the ideas of http://wiki.debian.org/InitramfsDebug:
>> with rootdelay=9, it does wait for 9 seconds, afterwards it panics
>> with the same message.
>>
>> With 2.6.24, ls /proc/cmdline prints:
>> BOOT_IMAGE=LinuxOLD ro root=803
>>
>> I executed, with no luck:
>> dpkg-reconfigure linux-image-2.6.25-1-amd64
>> dpkg-reconfigure initramfs-tools
> 
> try this:
> lilo

Thanks for the fast reply.

Sorry, I forgot to say that I tried this too, but the panic persists 
after rebooting.

snoopy:~# lilo
Warning: LBA32 addressing assumed
Added Linux *
Added LinuxOLD
One warning was issued.
snoopy:~#

snoopy:~$ cat /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
relative_links = yes
do_bootloader = yes
do_bootfloppy = no
do_initrd = yes
link_in_boot = yes
snoopy:~$

Regards,
-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 479101@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 3 May 2008 11:38:30 +0200
On Sat, May 03, 2008 at 10:01:20AM +0200, Eugen Dedu wrote:
> maximilian attems wrote:
> >On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
> >>Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
> >>Package: linux-image-2.6.25-1-amd64
> >>Version: 2.6.25-1
> >>Severity: normal
> >>
> >>*** Please type your report below this line ***
> >>Hi,
> >>
> >>The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
> >>Previous kernels worked.  The output is:
> >>[...]
> >>NET: Registered protocol family 1
> >>NET: Registered protocol family 17
> >>registered taskstats version 1
> >>RAMDISK: coulndn't find valid RAM disk image starting at 0
> >>List of all partitions:
> >>... ram0 (driver?)
> >>...
> >>... ram15 (driver?)
> >>No filesystem could mount root, tried:
> >>Kernel panic - not syncing: VFS: Unable to mount root fs on
> >>unknown-block (8,3)
> >>
> >>I tried the ideas of http://wiki.debian.org/InitramfsDebug:
> >>with rootdelay=9, it does wait for 9 seconds, afterwards it panics
> >>with the same message.
> >>
> >>With 2.6.24, ls /proc/cmdline prints:
> >>BOOT_IMAGE=LinuxOLD ro root=803

so you don't land in debug console of initramfs?

post cat /etc/i-t/i-t.conf
and check that your root device driver is in both initramfs.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 479101@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: maximilian attems <max@stro.at>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 03 May 2008 11:54:35 +0200
[Message part 1 (text/plain, inline)]
maximilian attems wrote:
> On Sat, May 03, 2008 at 10:01:20AM +0200, Eugen Dedu wrote:
>> maximilian attems wrote:
>>> On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
>>>> Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
>>>> Package: linux-image-2.6.25-1-amd64
>>>> Version: 2.6.25-1
>>>> Severity: normal
>>>>
>>>> *** Please type your report below this line ***
>>>> Hi,
>>>>
>>>> The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
>>>> Previous kernels worked.  The output is:
>>>> [...]
>>>> NET: Registered protocol family 1
>>>> NET: Registered protocol family 17
>>>> registered taskstats version 1
>>>> RAMDISK: coulndn't find valid RAM disk image starting at 0
>>>> List of all partitions:
>>>> ... ram0 (driver?)
>>>> ...
>>>> ... ram15 (driver?)
>>>> No filesystem could mount root, tried:
>>>> Kernel panic - not syncing: VFS: Unable to mount root fs on
>>>> unknown-block (8,3)
>>>>
>>>> I tried the ideas of http://wiki.debian.org/InitramfsDebug:
>>>> with rootdelay=9, it does wait for 9 seconds, afterwards it panics
>>>> with the same message.
>>>>
>>>> With 2.6.24, ls /proc/cmdline prints:
>>>> BOOT_IMAGE=LinuxOLD ro root=803
> 
> so you don't land in debug console of initramfs?

Sorry, I don't understand.

When booting 2.6.24, I login as usual and have the /proc/cmdline above.

When booting 2.6.25, with or without rootdelay=9, the kernel panics, no 
prompt/console.

> post cat /etc/i-t/i-t.conf
> and check that your root device driver is in both initramfs.

After the procedure at http://wiki.debian.org/InitramfsDebug (it should 
be cd /tmp, not cd ~/tmp on the page!!!):

snoopy:/tmp$ grep reiserfs initramfs*
initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs
initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs/reiserfs.ko
initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs
initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs/reiserfs.ko

snoopy:/tmp$ mount
/dev/sda3 on / type reiserfs (rw,notail)
[...]

Can it be because /boot is on the / partition, which have notail?

Thanks for your help so far,
-- 
Eugen
[initramfs.conf (text/plain, inline)]
#
# initramfs.conf
# Configuration file for mkinitramfs(8). See initramfs.conf(5).
#

#
# MODULES: [ most | netboot | dep | list ]
#
# most - Add all framebuffer, acpi, filesystem, and harddrive drivers.
#
# dep - Try and guess which modules to load.
#
# netboot - Add the base modules, network modules, but skip block devices.
#
# list - Only include modules from the 'additional modules' list
#

MODULES=most

#
# BUSYBOX: [ y | n ]
#
# Use busybox if available.
#

BUSYBOX=y

#
# KEYMAP: [ y | n ]
#
# Load a keymap during the initramfs stage.
#

KEYMAP=n

#
# NFS Section of the config.
#

#
# BOOT: [ local | nfs ]
#
# local - Boot off of local media (harddrive, USB stick).
#
# nfs - Boot using an NFS drive as the root of the drive.
#

BOOT=local

#
# DEVICE: ...
#
# Specify the network interface, like eth0
#

DEVICE=eth0

#
# NFSROOT: [ auto | HOST:MOUNT ]
#

NFSROOT=auto


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 479101@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 3 May 2008 18:16:42 +0200
On Sat, May 03, 2008 at 11:54:35AM +0200, Eugen Dedu wrote:
> maximilian attems wrote:
> >On Sat, May 03, 2008 at 10:01:20AM +0200, Eugen Dedu wrote:
> >>maximilian attems wrote:
> >>>On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
> >>>>Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
> >>>>Package: linux-image-2.6.25-1-amd64
> >>>>Version: 2.6.25-1
> >>>>Severity: normal
> >>>>
> >>>>*** Please type your report below this line ***
> >>>>Hi,
> >>>>
> >>>>The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
> >>>>Previous kernels worked.  The output is:
> >>>>[...]
> >>>>NET: Registered protocol family 1
> >>>>NET: Registered protocol family 17
> >>>>registered taskstats version 1
> >>>>RAMDISK: coulndn't find valid RAM disk image starting at 0
> >>>>List of all partitions:
> >>>>... ram0 (driver?)
> >>>>...
> >>>>... ram15 (driver?)
> >>>>No filesystem could mount root, tried:
> >>>>Kernel panic - not syncing: VFS: Unable to mount root fs on
> >>>>unknown-block (8,3)
> >>>>
> >>>>I tried the ideas of http://wiki.debian.org/InitramfsDebug:
> >>>>with rootdelay=9, it does wait for 9 seconds, afterwards it panics
> >>>>with the same message.
> >>>>
> >>>>With 2.6.24, ls /proc/cmdline prints:
> >>>>BOOT_IMAGE=LinuxOLD ro root=803
> >
> >so you don't land in debug console of initramfs?
> 
> Sorry, I don't understand.

try to use break=mount or such see man initramfs-tools
 
> When booting 2.6.24, I login as usual and have the /proc/cmdline above.
> 
> When booting 2.6.25, with or without rootdelay=9, the kernel panics, no 
> prompt/console.

so it's a kernel or bootloader trouble probably.
 
> >post cat /etc/i-t/i-t.conf
> >and check that your root device driver is in both initramfs.
> 
> After the procedure at http://wiki.debian.org/InitramfsDebug (it should 
> be cd /tmp, not cd ~/tmp on the page!!!):
> 
> snoopy:/tmp$ grep reiserfs initramfs*
> initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs
> initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs/reiserfs.ko
> initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs
> initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs/reiserfs.ko

i wouldn't doubt that reiserfs is in your initramfs,
what i was sepaking about is the sata or scsi driver.
please check from initramfs console if he is loaded and
if expected device is there.
 
> snoopy:/tmp$ mount
> /dev/sda3 on / type reiserfs (rw,notail)
> [...]
> 
> Can it be because /boot is on the / partition, which have notail?
> 
> Thanks for your help so far,
> -- 
> Eugen

> #
> # initramfs.conf
> # Configuration file for mkinitramfs(8). See initramfs.conf(5).
> #

that looks fine.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 479101@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: maximilian attems <max@stro.at>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 03 May 2008 23:45:42 +0200
maximilian attems wrote:
> On Sat, May 03, 2008 at 11:54:35AM +0200, Eugen Dedu wrote:
>> maximilian attems wrote:
>>> On Sat, May 03, 2008 at 10:01:20AM +0200, Eugen Dedu wrote:
>>>> maximilian attems wrote:
>>>>> On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
>>>>>> Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
>>>>>> Package: linux-image-2.6.25-1-amd64
>>>>>> Version: 2.6.25-1
>>>>>> Severity: normal
>>>>>>
>>>>>> *** Please type your report below this line ***
>>>>>> Hi,
>>>>>>
>>>>>> The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
>>>>>> Previous kernels worked.  The output is:
>>>>>> [...]
>>>>>> NET: Registered protocol family 1
>>>>>> NET: Registered protocol family 17
>>>>>> registered taskstats version 1
>>>>>> RAMDISK: coulndn't find valid RAM disk image starting at 0
>>>>>> List of all partitions:
>>>>>> ... ram0 (driver?)
>>>>>> ...
>>>>>> ... ram15 (driver?)
>>>>>> No filesystem could mount root, tried:
>>>>>> Kernel panic - not syncing: VFS: Unable to mount root fs on
>>>>>> unknown-block (8,3)
>>>>>>
>>>>>> I tried the ideas of http://wiki.debian.org/InitramfsDebug:
>>>>>> with rootdelay=9, it does wait for 9 seconds, afterwards it panics
>>>>>> with the same message.
>>>>>>
>>>>>> With 2.6.24, ls /proc/cmdline prints:
>>>>>> BOOT_IMAGE=LinuxOLD ro root=803
>>> so you don't land in debug console of initramfs?
>> Sorry, I don't understand.
> 
> try to use break=mount or such see man initramfs-tools
>  
>> When booting 2.6.24, I login as usual and have the /proc/cmdline above.
>>
>> When booting 2.6.25, with or without rootdelay=9, the kernel panics, no 
>> prompt/console.
> 
> so it's a kernel or bootloader trouble probably.
>  
>>> post cat /etc/i-t/i-t.conf
>>> and check that your root device driver is in both initramfs.
>> After the procedure at http://wiki.debian.org/InitramfsDebug (it should 
>> be cd /tmp, not cd ~/tmp on the page!!!):
>>
>> snoopy:/tmp$ grep reiserfs initramfs*
>> initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs
>> initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs/reiserfs.ko
>> initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs
>> initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs/reiserfs.ko
> 
> i wouldn't doubt that reiserfs is in your initramfs,
> what i was sepaking about is the sata or scsi driver.
> please check from initramfs console if he is loaded and
> if expected device is there.

Hi,

I typed Linux break=X at boot prompt, with X=mount, premount, modules 
and top.  In all the cases, it does NOT stop before the panic.  I do not 
have any console.

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 479101@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sun, 4 May 2008 14:04:28 +0200
On Sat, May 03, 2008 at 11:45:42PM +0200, Eugen Dedu wrote:
 
> I typed Linux break=X at boot prompt, with X=mount, premount, modules 
> and top.  In all the cases, it does NOT stop before the panic.  I do not 
> have any console.

just quickly online, maybe you posted it already, needed:
/etc/lilo.conf

ls -l /




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 479101@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: maximilian attems <max@stro.at>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sun, 04 May 2008 16:35:48 +0200
[Message part 1 (text/plain, inline)]
maximilian attems wrote:
> On Sat, May 03, 2008 at 11:45:42PM +0200, Eugen Dedu wrote:
>  
>> I typed Linux break=X at boot prompt, with X=mount, premount, modules 
>> and top.  In all the cases, it does NOT stop before the panic.  I do not 
>> have any console.
> 
> just quickly online, maybe you posted it already, needed:
> /etc/lilo.conf

Attached.

> ls -l /

snoopy:~$ ls -l /
total 17
drwxr-xr-x   2 root root 2480 2008-04-29 15:49 bin
drwxr-xr-x   2 root root  856 2008-05-03 09:58 boot
lrwxrwxrwx   1 root root   11 2007-10-07 17:57 cdrom -> media/cdrom
drwxr-xr-x  14 root root 4160 2008-05-04 10:06 dev
drwxr-xr-x   3 root root   80 2007-10-07 18:23 emul
drwxr-xr-x 116 root root 6472 2008-05-04 10:07 etc
drwxr-xr-x   5 root root  120 2007-12-10 12:14 home
drwxr-xr-x  14 root root 4736 2008-04-27 11:26 lib
lrwxrwxrwx   1 root root   20 2007-10-07 18:23 lib32 -> /emul/ia32-linux/lib
lrwxrwxrwx   1 root root    4 2007-10-07 17:59 lib64 -> /lib
drwxr-xr-x   4 root root  184 2008-05-04 10:07 media
drwxr-xr-x   3 root root   72 2008-02-07 21:36 mnt
drwxr-xr-x   2 root root   48 2007-10-07 17:59 opt
dr-xr-xr-x 125 root root    0 2008-05-04 10:06 proc
drwxr-xr-x  17 root root  640 2008-04-14 12:32 root
drwxr-xr-x   2 root root 3488 2008-04-29 15:49 sbin
drwxr-xr-x   2 root root   48 2008-02-06 22:57 selinux
drwxr-xr-x   2 root root   48 2007-10-07 17:59 srv
drwxr-xr-x  11 root root    0 2008-05-04 10:06 sys
drwxrwxrwt  12 root root  432 2008-05-04 15:48 tmp
drwxr-xr-x  11 root root  312 2008-05-01 23:02 usr
drwxr-xr-x  14 root root  336 2008-03-27 14:06 var
snoopy:~$

Thanks for your help,
-- 
Eugen
[lilo.conf (text/plain, inline)]
# /etc/lilo.conf - See: `lilo(8)' and `lilo.conf(5)',
# ---------------       `install-mbr(8)', `/usr/share/doc/lilo/',
#                       and `/usr/share/doc/mbr/'.

# +---------------------------------------------------------------+
# |                        !! Reminder !!                         |
# |                                                               |
# | Don't forget to run `lilo' after you make changes to this     |
# | conffile, `/boot/bootmess.txt' (if you have created it), or   |
# | install a new kernel.  The computer will most likely fail to  |
# | boot if a kernel-image post-install script or you don't       |
# | remember to run `lilo'.                                       |
# |                                                               |
# +---------------------------------------------------------------+

# Specifies the boot device.  This is where Lilo installs its boot
# block.  It can be either a partition, or the raw device, in which
# case it installs in the MBR, and will overwrite the current MBR.
#
boot=/dev/sda3

# Specifies the device that should be mounted as root. (`/')
#
root=/dev/sda3

# This option may be needed for some software RAID installs.
#
# raid-extra-boot=mbr-only

# Enable map compaction:
# Tries to merge read requests for adjacent sectors into a single
# read request. This drastically reduces load time and keeps the
# map smaller.  Using `compact' is especially recommended when
# booting from a floppy disk.  It is disabled here by default
# because it doesn't always work.
#
compact

# Installs the specified file as the new boot sector
# You have the choice between: text, bmp, and menu
# Look in lilo.conf(5) manpage for details
#
#install=menu

# Specifies the location of the map file
#
map=/boot/map

# You can set a password here, and uncomment the `restricted' lines
# in the image definitions below to make it so that a password must
# be typed to boot anything but a default configuration.  If a
# command line is given, other than one specified by an `append'
# statement in `lilo.conf', the password will be required, but a
# standard default boot will not require one.
#
# This will, for instance, prevent anyone with access to the
# console from booting with something like `Linux init=/bin/sh',
# and thus becoming `root' without proper authorization.
#
# Note that if you really need this type of security, you will
# likely also want to use `install-mbr' to reconfigure the MBR
# program, as well as set up your BIOS to disallow booting from
# removable disk or CD-ROM, then put a password on getting into the
# BIOS configuration as well.  Please RTFM `install-mbr(8)'.
#
# password=tatercounter2000

# Specifies the number of deciseconds (0.1 seconds) LILO should
# wait before booting the first image.
#
delay=20

# You can put a customized boot message up if you like.  If you use
# `prompt', and this computer may need to reboot unattended, you
# must specify a `timeout', or it will sit there forever waiting
# for a keypress.  `single-key' goes with the `alias' lines in the
# `image' configurations below.  eg: You can press `1' to boot
# `Linux', `2' to boot `LinuxOLD', if you uncomment the `alias'.
#
# message=/boot/bootmess.txt
#	prompt
#	delay=100
#	timeout=100

# Specifies the VGA text mode at boot time. (normal, extended, ask, <mode>)
#
# vga=ask
# vga=9
#


# Kernel command line options that apply to all installed images go
# here.  See: The `boot-prompt-HOWTO' and `kernel-parameters.txt' in
# the Linux kernel `Documentation' directory.
#
# append=""
 
# If you used a serial console to install Debian, this option should be
# enabled by default.
# serial=

#
# Boot up Linux by default.
#
default=Linux

image=/boot/vmlinuz
	label=Linux
	read-only
#	restricted
#	alias=1

	initrd=/boot/initrd.img

image=/boot/vmlinuz.old
	label=LinuxOLD
	read-only
	optional
#	restricted
#	alias=2

	initrd=/boot/initrd.img.old


# If you have another OS on this machine to boot, you can uncomment the
# following lines, changing the device name on the `other' line to
# where your other OS' partition is.
#
# other=/dev/hda4
#	label=HURD
#	restricted
#	alias=3

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 479101@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: maximilian attems <max@stro.at>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sun, 04 May 2008 16:42:22 +0200
maximilian attems wrote:
> On Sat, May 03, 2008 at 11:45:42PM +0200, Eugen Dedu wrote:
>  
>> I typed Linux break=X at boot prompt, with X=mount, premount, modules 
>> and top.  In all the cases, it does NOT stop before the panic.  I do not 
>> have any console.
> 
> just quickly online, maybe you posted it already, needed:
> /etc/lilo.conf
> 
> ls -l /

Also:

snoopy:~$ more /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
relative_links = yes
do_bootloader = yes
do_bootfloppy = no
do_initrd = yes
link_in_boot = yes
snoopy:~$

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Marc Lehmann <debian-reportbug@plan9.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 479101@bugs.debian.org (full text, mbox):

From: Marc Lehmann <debian-reportbug@plan9.de>
To: Debian Bug Tracking System <479101@bugs.debian.org>
Subject: linux-image-2.6.25-1-amd64: same issue: kernel panic: unable to mount root on multiple machines
Date: Mon, 05 May 2008 12:31:24 +0200
Package: linux-image-2.6.25-1-amd64
Followup-For: Bug #479101


Just a "me too": I today upgraded multiple machines to 2.6.25-1-amd64 and
they all show the same symptoms, kernel cannot find the initramfs.

The machine worked with 2.6.24 and 2.6.22 before.

To test my configuration, installed 2.6.18 afterwards, and that boots,
while 2.6.25 fails, so it is definitely something to do with the kernel
(and not lilo etc.)

Here are the image entries one one machine:

   image = /boot/vmlinuz-2.6.25-1-amd64
      initrd = /boot/initrd.img-2.6.25-1-amd64
      label = debian
      append = "root=/dev/sda2 rootfstype=reiserfs relatime"

   image = /boot/vmlinuz-2.6.24-1-amd64
      initrd = /boot/initrd.img-2.6.24-1-amd64
      label = old
      append = "root=/dev/sda2 rootfstype=reiserfs relatime"

And here my full lilo.conf on another system showing exactly the same symptoms:

   boot = /dev/hda
   root = /dev/hda2
   read-only
   compact        # faster, but won't work on all systems.
   lba32
   #serial = 1,9600n8
   vga = 0    # force sane state
   default = old
   delay = 0

   image = /boot/vmlinuz-2.6.25-1-amd64
      label = default
      initrd = /boot/initrd.img-2.6.25-1-amd64

   image = /boot/vmlinuz-2.6.24-1-amd64
      label = old
      initrd = /boot/initrd.img-2.6.24-1-amd64


-- Package-specific info:

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-1-amd64 depends on:
ii  debconf [debconf-2.0]        1.5.11etch1 Debian configuration management sy
ii  initramfs-tools [linux-initr 0.85h       tools for generating an initramfs
ii  module-init-tools            3.3-pre4-2  tools for managing Linux kernel mo

linux-image-2.6.25-1-amd64 recommends no packages.

-- debconf information:
  linux-image-2.6.25-1-amd64/preinst/overwriting-modules-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/abort-overwrite-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/preinst/failed-to-move-modules-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/preinst/abort-install-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/preinst/lilo-initrd-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/elilo-initrd-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/lilo-has-ramdisk:
  linux-image-2.6.25-1-amd64/preinst/bootloader-initrd-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/initrd-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/postinst/create-kimage-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/postinst/old-initrd-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/postinst/bootloader-error-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.25-1-amd64/postinst/depmod-error-initrd-2.6.25-1-amd64: false
  linux-image-2.6.25-1-amd64/postinst/depmod-error-2.6.25-1-amd64: false
  linux-image-2.6.25-1-amd64/postinst/bootloader-test-error-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/postinst/old-system-map-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/postinst/old-dir-initrd-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/prerm/would-invalidate-boot-loader-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/prerm/removing-running-kernel-2.6.25-1-amd64: true
  shared/kernel-image/really-run-bootloader: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Marc Lehmann <debian-reportbug@plan9.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 479101@bugs.debian.org (full text, mbox):

From: Marc Lehmann <debian-reportbug@plan9.de>
To: Debian Bug Tracking System <479101@bugs.debian.org>
Subject: linux-image-2.6.25-1-amd64: more info on initramfs failure
Date: Mon, 05 May 2008 12:45:09 +0200
Package: linux-image-2.6.25-1-amd64
Version: 2.6.25-1
Followup-For: Bug #479101


The issue is this:

   checking if image is initramfs...it isn't (bad gzip magic numbers); looks like an initrd

however, the initrd image certainly *is* an initramfs:

   cerebro /boot# zcat initrd.img-2.6.25-1-amd64|cpio -t|head
   .
   bin
   bin/cat
   ...

So this seems to be a bug somewhere in the kernel initramfs detection code.

(google finds a lot of similar cases for 2.6.25)

-- Package-specific info:

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-1-amd64 depends on:
ii  debconf [debconf-2.0]        1.5.11etch1 Debian configuration management sy
ii  initramfs-tools [linux-initr 0.92a       tools for generating an initramfs
ii  module-init-tools            3.3-pre4-2  tools for managing Linux kernel mo

linux-image-2.6.25-1-amd64 recommends no packages.

-- debconf information excluded




Severity set to `grave' from `normal' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 05 May 2008 11:33:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 479101@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Marc Lehmann <debian-reportbug@plan9.de>, 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: more info on initramfs failure
Date: Mon, 5 May 2008 13:23:50 +0200
On Mon, May 05, 2008 at 12:45:09PM +0200, Marc Lehmann wrote:
> Package: linux-image-2.6.25-1-amd64
> Version: 2.6.25-1
> Followup-For: Bug #479101
> 
> 
> The issue is this:
> 
>    checking if image is initramfs...it isn't (bad gzip magic numbers); looks like an initrd
> 
> however, the initrd image certainly *is* an initramfs:
> 
>    cerebro /boot# zcat initrd.img-2.6.25-1-amd64|cpio -t|head
>    .
>    bin
>    bin/cat
>    ...
> 
> So this seems to be a bug somewhere in the kernel initramfs detection code.
> 
> (google finds a lot of similar cases for 2.6.25)
> 

are you using lilo?

can you reproduce with grub?

thanks for the info!

-- 
maks




Bug 479101 cloned as bug 479607. Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Mon, 05 May 2008 17:54:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Roman Mamedov <roman@rm.pp.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 479101@bugs.debian.org (full text, mbox):

From: Roman Mamedov <roman@rm.pp.ru>
To: 479101@bugs.debian.org
Subject: Same problem here
Date: Tue, 06 May 2008 22:52:41 +0600
Hello.

I have tried to use this 2.6.25 kernel on four machines so far.
Three of them boot over network (with PXE, TFTP and root over NFS), and 
the kernel works fine on them.
Fourth machine is configured to boot from local hard disk, using LILO 
with no separate boot partition and XFS root. That machine experiences 
the issue described here, i.e. it panics right after starting to boot, 
with messages about a ram-disk error which were cited in the first message.

With respect,
Roman.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to AndrewL733 <AndrewL733@aol.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #79 received at 479101@bugs.debian.org (full text, mbox):

From: AndrewL733 <AndrewL733@aol.com>
To: 479101@bugs.debian.org
Subject: (no subject)
Date: Tue, 06 May 2008 22:35:23 -0400
For what it's worth... I have several Macbook Pros. On the original Core 
2 Duo model (2.14 Ghz, ATI graphics, ICH 7 chipset), the 2.6.25 kernel 
runs fine. The exact same kernel give me the kernel panic reported here 
on the newest Macbook Pro (4,1 Penryn, ICH 8) model -- 2.6 Ghz with 
Nvidia Graphics.

Just before the panic, I see an error about the "sd" module needing to 
be updated. I see the same message on some of my servers with 2.6.25 
(don't see it with 2.6.22) but the error doesn't stop the servers from 
booting so I don't know if it's related to the Macbook Pro issue.

Andrew




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to annonygmouse <annonygmouse@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #84 received at 479101@bugs.debian.org (full text, mbox):

From: annonygmouse <annonygmouse@yahoo.co.uk>
To: 479101@bugs.debian.org
Subject: Me too (with snapshots)
Date: Mon, 19 May 2008 22:33:48 +0200
Hi, I seem to have the same issue here.
Fortunatelly I'm still able to load linuxOLD.
MacBookPro

I have root on /dev/sda4 (ext3)
I've updloaded some snapshots of the boot failure, you can find it on
http://sebastia.homelinux.net/~jo/bugs/linuxkernel/

Here's some info of my machine:
jo@debianmbp:~$ cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 CPU         T7400  @ 2.16GHz
stepping        : 6
cpu MHz         : 1000.000
cache size      : 4096 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge 
mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe 
syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni monitor 
ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips        : 4327.23
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 CPU         T7400  @ 2.16GHz
stepping        : 6
cpu MHz         : 1000.000
cache size      : 4096 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge 
mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe 
syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni monitor 
ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips        : 4322.53
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:


debianmbp:~# ll /boot/
total 123828
-rw-r--r-- 1 root root     512 10 mai  2007 boot.0800
-rw-r--r-- 1 root root     512 10 mai  2007 boot.0804
-rw-r--r-- 1 root root  308326 26 mar 17:01 coffee.bmp
-rw-r--r-- 1 root root   64915 18 abr  2007 config-2.6.18-4-amd64
-rw-r--r-- 1 root root   70759 25 abr  2007 config-2.6.20-1-amd64
-rw-r--r-- 1 root root   72201 26 mai  2007 config-2.6.21-1-amd64
-rw-r--r-- 1 root root   72201 25 jun  2007 config-2.6.21-2-amd64
-rw-r--r-- 1 root root   73214 29 jul  2007 config-2.6.22-1-amd64
-rw-r--r-- 1 root root   73214 31 ago  2007 config-2.6.22-2-amd64
-rw-r--r-- 1 root root   73197  4 nov  2007 config-2.6.22-3-amd64
-rw-r--r-- 1 root root   73622 21 des 13:17 config-2.6.23-1-amd64
-rw-r--r-- 1 root root   79389 19 abr 01:13 config-2.6.24-1-amd64
-rw-r--r-- 1 root root   81924 14 mai 16:45 config-2.6.25-2-amd64
lrwxrwxrwx 1 root root      15 10 mai  2007 debian.bmp -> /boot/sarge.bmp
-rw-r--r-- 1 root root  153720 26 mar 17:01 debianlilo.bmp
-rw-r--r-- 1 root root 5017060 10 mai  2007 initrd.img-2.6.18-4-amd64
-rw-r--r-- 1 root root 5751338 27 mai  2007 initrd.img-2.6.20-1-amd64
-rw-r--r-- 1 root root 5735495 12 mai  2007 initrd.img-2.6.20-1-amd64.bak
-rw-r--r-- 1 root root 5679240  4 jul  2007 initrd.img-2.6.21-1-amd64
-rw-r--r-- 1 root root 5680456 28 mai  2007 initrd.img-2.6.21-1-amd64.bak
-rw-r--r-- 1 root root 5677818  9 jul  2007 initrd.img-2.6.21-2-amd64
-rw-r--r-- 1 root root 5689360 24 ago  2007 initrd.img-2.6.22-1-amd64
-rw-r--r-- 1 root root 5686962 13 ago  2007 initrd.img-2.6.22-1-amd64.bak
-rw-r--r-- 1 root root 5670811  5 oct  2007 initrd.img-2.6.22-2-amd64
-rw-r--r-- 1 root root 5670833 13 set  2007 initrd.img-2.6.22-2-amd64.bak
-rw-r--r-- 1 root root 5691633 29 nov 00:41 initrd.img-2.6.22-3-amd64
-rw-r--r-- 1 root root 5675051 16 nov  2007 initrd.img-2.6.22-3-amd64.bak
-rw-r--r-- 1 root root 5649317 27 des 18:49 initrd.img-2.6.23-1-amd64
-rw-r--r-- 1 root root 5658632 25 des 13:50 initrd.img-2.6.23-1-amd64.bak
-rw-r--r-- 1 root root 6398165  5 mai 22:26 initrd.img-2.6.24-1-amd64
-rw-r--r-- 1 root root 6397982 24 abr 01:36 initrd.img-2.6.24-1-amd64.bak
-rw-r--r-- 1 root root 6564373 19 mai 21:05 initrd.img-2.6.25-2-amd64
-rw------- 1 root root  177664 19 mai 21:30 map
-rw-r--r-- 1 root root   23662 26 mar 17:01 sarge.bmp
-rw-r--r-- 1 root root   24116 26 mar 17:01 sid.bmp
-rw-r--r-- 1 root root  972672 18 abr  2007 System.map-2.6.18-4-amd64
-rw-r--r-- 1 root root 1028060 25 abr  2007 System.map-2.6.20-1-amd64
-rw-r--r-- 1 root root 1046066 26 mai  2007 System.map-2.6.21-1-amd64
-rw-r--r-- 1 root root 1046425 25 jun  2007 System.map-2.6.21-2-amd64
-rw-r--r-- 1 root root 1070895 29 jul  2007 System.map-2.6.22-1-amd64
-rw-r--r-- 1 root root 1070698 31 ago  2007 System.map-2.6.22-2-amd64
-rw-r--r-- 1 root root 1070937  4 nov  2007 System.map-2.6.22-3-amd64
-rw-r--r-- 1 root root 1104115 21 des 13:17 System.map-2.6.23-1-amd64
-rw-r--r-- 1 root root 1158727 19 abr 01:13 System.map-2.6.24-1-amd64
-rw-r--r-- 1 root root 1186003 14 mai 16:45 System.map-2.6.25-2-amd64 



debianmbp:~# ll /
total 108
drwxr-xr-x   2 root root  4096 15 mai 21:51 bin
drwxr-xr-x   2 root root  4096 19 mai 21:30 boot
drwxr-xr-x  15 root root  4220 19 mai 21:56 dev
drwxr-xr-x   3 root root  4096  9 mai  2007 emul
drwxr-xr-x 189 root root 12288 19 mai 21:56 etc
drwxr-xr-x   5 root root  4096 30 mai  2007 home
drwxr-xr-x   2 root root  4096  9 mai  2007 initrd
lrwxrwxrwx   1 root root    30 19 mai 21:05 initrd.img -> 
boot/initrd.img-2.6.25-2-amd64
lrwxrwxrwx   1 root root    30  2 feb 23:47 initrd.img.old -> 
boot/initrd.img-2.6.24-1-amd64
drwxr-xr-x  17 root root 12288 19 mai 21:21 lib
lrwxrwxrwx   1 root root    20  6 set  2007 lib32 -> /emul/ia32-linux/lib
lrwxrwxrwx   1 root root     4  6 set  2007 lib64 -> /lib
drwx------   2 root root 16384  9 mai  2007 lost+found
drwxr-xr-x   2 root root  4096 19 mai 21:56 media
drwxr-xr-x   2 root root  4096 28 oct  2006 mnt
drwxr-xr-x   3 root root  4096 27 jun  2007 opt
dr-xr-xr-x 163 root root     0 19 mai 21:47 proc
drwxr-xr-x  28 root root  4096 19 mai 21:39 root
drwxr-xr-x   2 root root 12288 19 mai 21:21 sbin
drwxr-xr-x   2 root root  4096  8 mar  2007 selinux
drwxr-xr-x   2 root root  4096  9 mai  2007 srv
drwxr-xr-x  11 root root     0 19 mai 21:47 sys
drwxrwxrwt  12 root root  4096 19 mai 22:02 tmp
drwxr-xr-x  11 root root  4096  6 set  2007 usr
drwxr-xr-x  16 root root  4096 21 mai  2007 var
lrwxrwxrwx   1 root root    27 19 mai 21:05 vmlinuz -> 
boot/vmlinuz-2.6.25-2-amd64
lrwxrwxrwx   1 root root    27  2 feb 23:47 vmlinuz.old -> 
boot/vmlinuz-2.6.24-1-amd64
debianmbp:~# 





debianmbp:~# cat /etc/lilo.conf (I've deleted most comments as don't 
give any info)

boot=/dev/sda4
root=/dev/sda4
#
map=/boot/map

delay=30


#
# Boot up Linux by default.
#
default=Linux

image=/vmlinuz
        label=Linux
        read-only
#       restricted
#       alias=1

        initrd=/initrd.img

image=/vmlinuz.old
        label=LinuxOLD
        read-only
        optional
#       restricted
#       alias=2

        initrd=/initrd.img.old

-----------
Hope this helps

Sebastià






Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #89 received at 479101@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: 479101@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: #479101: Kernel panic: Unable to mount root also with 2.6.25-3
Date: Tue, 20 May 2008 22:45:23 +0200
[Message part 1 (text/plain, inline)]
found 479101 2.6.25-3
thanks

Hello,

I have the described problem also with linux-image-2.6.25-2-amd64
2.6.25-3.


-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Bug marked as found in version 2.6.25-3. Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. (Tue, 20 May 2008 20:48:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `linux-image-2.6.25-1-amd64' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Tue, 20 May 2008 21:09:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #98 received at 479101@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Noèl Köthe <noel@debian.org>, 479101@bugs.debian.org
Subject: Re: Bug#479101: #479101: Kernel panic: Unable to mount root also with 2.6.25-3
Date: Tue, 20 May 2008 23:49:52 +0200
On Tue, May 20, 2008 at 10:45:23PM +0200, Noèl Köthe wrote:
> found 479101 2.6.25-3
> thanks
> 
> Hello,
> 
> I have the described problem also with linux-image-2.6.25-2-amd64
> 2.6.25-3.

this is a lilo bug, haven't seen much reaction from lilo maintainer/dev
side yet. see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479607#96
and followups for workaround.

seems lilo is passing full initramfs due to some size limitation.




Severity set to `important' from `grave' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Wed, 21 May 2008 00:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #105 received at 479101@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: 479101 <479101@bugs.debian.org>
Cc: 479607@bugs.debian.org
Subject: Re: Bug#479101: #479101: Kernel panic: Unable to mount root also with 2.6.25-3
Date: Thu, 22 May 2008 16:59:29 +0200
[Message part 1 (text/plain, inline)]
Am Dienstag, den 20.05.2008, 23:49 +0200 schrieb maximilian attems:

> > I have the described problem also with linux-image-2.6.25-2-amd64
> > 2.6.25-3.
> 
> this is a lilo bug, haven't seen much reaction from lilo maintainer/dev
> side yet. see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479607#96
> and followups for workaround.
> 
> seems lilo is passing full initramfs due to some size limitation.

Thanks for the pointer which helped me to get 2.6.25-2-amd64 running:

1. edit /etc/initramfs-tools/initramfs.conf and change the default
"MODULES=most" to "MODULES=dep"

2. run "update-initramfs -k 2.6.25-2-amd64 -u -v"

3. reboot


-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to annonygmouse <annonygmouse@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #110 received at 479101@bugs.debian.org (full text, mbox):

From: annonygmouse <annonygmouse@yahoo.co.uk>
To: 479101@bugs.debian.org, 479607@bugs.debian.org
Subject: With lilo 22.8-5 still can't boot on macbookpro
Date: Mon, 14 Jul 2008 17:43:07 +0200
Hi folks I've seen bug 479607 has been closed with lilo version 22.8-5 
but I still can't boot my machine with 2.6.25-2...


debianmbp:~# LANG=C aptitude show lilo
Package: lilo
State: installed
Automatically installed: no
Version: 1:22.8-5
Priority: optional
Section: admin
Maintainer: William Pitcock <nenolod@sacredspiral.co.uk>
Uncompressed Size: 1208k
Depends: mbr, debconf (>= 1.2.9) | debconf-2.0, libc6 (>= 2.7-1), 
libdevmapper1.02.1 (>= 2:1.02.20)
Suggests: lilo-doc
Conflicts: manpages (< 1.29-3)
Description: LInux LOader - The Classic OS loader can load Linux and others
 This package contains lilo (the installer) and boot-record-images to 
install Linux, OS/2, DOS and generic Boot Sectors of other OSes.

 You can use LILO to manage your Master Boot Record (with a simple text 
screen, text menu or colorful splash graphics) or call LILO from
 other Boot-Loaders to jump-start the Linux kernel.

Tags: admin::boot, interface::commandline, role::program, scope::utility

debianmbp:~#

Running lilo shows the following.

debianmbp:~# lilo
Warning: LBA32 addressing assumed
Added Linux *
Added LinuxOLD
One warning was issued.
debianmbp:~#


Is this the warning saying that de 8MB barrier has been met? Because I 
think this warning happened before...

Kind regards
Sebastià





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #115 received at 479101@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: annonygmouse <annonygmouse@yahoo.co.uk>, 479607@bugs.debian.org
Cc: 479101@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#479607: With lilo 22.8-5 still can't boot on macbookpro
Date: Mon, 14 Jul 2008 23:00:00 +0200
reopen 479607
thanks

annonygmouse wrote:
> 
> Hi folks I've seen bug 479607 has been closed with lilo version 22.8-5 
> but I still can't boot my machine with 2.6.25-2...
> 
> 
> debianmbp:~# LANG=C aptitude show lilo
> Package: lilo
> State: installed
> Automatically installed: no
> Version: 1:22.8-5
> Priority: optional
> Section: admin
> Maintainer: William Pitcock <nenolod@sacredspiral.co.uk>
> Uncompressed Size: 1208k
> Depends: mbr, debconf (>= 1.2.9) | debconf-2.0, libc6 (>= 2.7-1), 
> libdevmapper1.02.1 (>= 2:1.02.20)
> Suggests: lilo-doc
> Conflicts: manpages (< 1.29-3)
> Description: LInux LOader - The Classic OS loader can load Linux and others
>  This package contains lilo (the installer) and boot-record-images to 
> install Linux, OS/2, DOS and generic Boot Sectors of other OSes.
> 
>  You can use LILO to manage your Master Boot Record (with a simple text 
> screen, text menu or colorful splash graphics) or call LILO from
>  other Boot-Loaders to jump-start the Linux kernel.
> 
> Tags: admin::boot, interface::commandline, role::program, scope::utility
> 
> debianmbp:~#
> 
> Running lilo shows the following.
> 
> debianmbp:~# lilo
> Warning: LBA32 addressing assumed
> Added Linux *
> Added LinuxOLD
> One warning was issued.
> debianmbp:~#
> 
> 
> Is this the warning saying that de 8MB barrier has been met? Because I 
> think this warning happened before...

Hi,

It seems to me that lilo does not show any warning for the image which 
does not work on my machine.  In fact, as previously said, the image has 
less than 8MB:

-rw-r--r-- 1 root root 6998498 2008-05-16 10:11 initrd.img-2.6.25-2-amd64

I put a few days ago this image as the default one and run lilo: no 
warning was issued about the size, still rebooting the computer does not 
work.

So I reopen this bug.

Cheers,
-- 
Eugen Dedu




Information forwarded to debian-bugs-dist@lists.debian.org, gaa.nnov@mail.ru, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Alexander Galanin <gaa.nnov@mail.ru>:
Extra info received and forwarded to list. Copy sent to gaa.nnov@mail.ru, Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #120 received at 479101@bugs.debian.org (full text, mbox):

From: Alexander Galanin <gaa.nnov@mail.ru>
To: Debian Bug Tracking System <479101@bugs.debian.org>
Subject: linux-image-2.6.25-2-amd64: The same problem with kernel 2.6.25-2 and lilo 1:22.8-5
Date: Sun, 27 Jul 2008 03:39:42 +0400
Package: linux-image-2.6.25-2-amd64
Version: 2.6.25-7
Followup-For: Bug #479101


I have the same problem with kernel 2.6.25-2 and lilo 1:22.8-5.
This problem does not exists when I using grub 0.97-41 as a bootloader.

-- Package-specific info:
** Version:
Linux version 2.6.25-2-amd64 (Debian 2.6.25-7) (maks@debian.org) (gcc version 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)) #1 SMP Mon Jul 14 11:05:23 UTC 2008

** Command line:
root=UUID=de2915c1-021d-4d65-8423-10b645258de9 ro 

** Not tainted

** Kernel log:
[    5.720995] usb 1-4: USB disconnect, address 3
[    5.835158] kjournald starting.  Commit interval 5 seconds
[    5.835158] EXT3-fs: mounted filesystem with ordered data mode.
[    5.864732] usb 1-7: USB disconnect, address 4
[    6.312092] hub 2-0:1.0: unable to enumerate USB device on port 2
[    6.599406] hub 2-0:1.0: unable to enumerate USB device on port 4
[    6.820202] hub 2-0:1.0: unable to enumerate USB device on port 7
[    7.149494] usb 1-2: new full speed USB device using ohci_hcd and address 5
[    7.366650] usb 1-2: configuration #1 chosen from 1 choice
[    7.369813] usb 1-2: New USB device found, idVendor=1131, idProduct=1001
[    7.369846] usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    7.369874] usb 1-2: Product: ISSCEDRBTA
[    7.369901] usb 1-2: Manufacturer: ISSC
[    7.512890] hdc: UDMA/33 mode selected
[    7.671152] usb 1-4: new full speed USB device using ohci_hcd and address 6
[    7.886689] usb 1-4: configuration #1 chosen from 1 choice
[    7.904567] scsi5 : SCSI emulation for USB Mass Storage devices
[    7.915296] usb 1-4: New USB device found, idVendor=0aec, idProduct=3050
[    7.915330] usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    7.915359] usb 1-4: Product: USB Storage Device
[    7.915386] usb 1-4: Manufacturer: Generic 
[    7.915412] usb 1-4: SerialNumber: 0AEC305000001A000
[    7.915453] usb-storage: device found at 6
[    7.915455] usb-storage: waiting for device to settle before scanning
[    7.998652] i2c-adapter i2c-0: nForce2 SMBus adapter at 0x4c00
[    7.998703] i2c-adapter i2c-1: nForce2 SMBus adapter at 0x4c40
[    8.219188] usb 1-7: new low speed USB device using ohci_hcd and address 7
[    8.229706] input: Power Button (FF) as /class/input/input3
[    8.255211] ACPI: Power Button (FF) [PWRF]
[    8.255316] input: Power Button (CM) as /class/input/input4
[    8.283234] ACPI: Power Button (CM) [PWRB]
[    8.432715] usb 1-7: configuration #1 chosen from 1 choice
[    8.442842] input: KEYBOARD USB KB as /class/input/input5
[    8.467251] input,hidraw0: USB HID v1.10 Keyboard [KEYBOARD USB KB] on usb-0000:00:02.0-7
[    8.475983] input: KEYBOARD USB KB as /class/input/input6
[    8.519268] input,hidraw1: USB HID v1.10 Mouse [KEYBOARD USB KB] on usb-0000:00:02.0-7
[    8.519469] usb 1-7: New USB device found, idVendor=05d5, idProduct=6782
[    8.519497] usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    8.519525] usb 1-7: Product: USB KB
[    8.519552] usb 1-7: Manufacturer: KEYBOARD
[    9.009600] ACPI: PCI Interrupt Link [APCJ] enabled at IRQ 22
[    9.009633] ACPI: PCI Interrupt 0000:00:04.0[A] -> Link [APCJ] -> GSI 22 (level, low) -> IRQ 22
[    9.009727] PCI: Setting latency timer of device 0000:00:04.0 to 64
[    9.207296] input: PC Speaker as /class/input/input7
[    9.331246] intel8x0_measure_ac97_clock: measured 54671 usecs
[    9.331279] intel8x0: clocking to 46861
[    9.566667] Bluetooth: Core ver 2.11
[    9.578633] NET: Registered protocol family 31
[    9.578666] Bluetooth: HCI device and connection manager initialized
[    9.578697] Bluetooth: HCI socket layer initialized
[    9.588717] Bluetooth: HCI USB driver ver 2.9
[    9.590861] usbcore: registered new interface driver hci_usb
[    9.790291] input: ImPS/2 Generic Wheel Mouse as /class/input/input8
[    9.817793] pnp: the driver 'parport_pc' has been registered
[    9.817813] parport_pc 00:08: reported by Plug and Play ACPI
[    9.817892] parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
[    9.911349] parport_pc 00:08: driver attached
[   10.541353] hdc: UDMA/33 mode selected
[   11.613104] Adding 4000176k swap on /dev/sda2.  Priority:-1 extents:1 across:4000176k
[   12.158210] EXT3 FS on sda1, internal journal
[   12.981948] usb-storage: device scan complete
[   12.996282] scsi 5:0:0:0: Direct-Access     Generic  USB Storage-SMC  500A PQ: 0 ANSI: 0 CCS
[   13.002672] scsi 5:0:0:1: Direct-Access     Generic  USB Storage-CFC  500A PQ: 0 ANSI: 0 CCS
[   13.011865] scsi 5:0:0:2: Direct-Access     Generic  USB Storage-MMC  500A PQ: 0 ANSI: 0 CCS
[   13.020150] scsi 5:0:0:3: Direct-Access     Generic  USB Storage-MSC  500A PQ: 0 ANSI: 0 CCS
[   13.030668] sd 5:0:0:0: [sdb] Attached SCSI removable disk
[   13.041675] sd 5:0:0:1: [sdc] Attached SCSI removable disk
[   13.052680] sd 5:0:0:2: [sdd] Attached SCSI removable disk
[   13.063676] sd 5:0:0:3: [sde] Attached SCSI removable disk
[   13.208627] it87: Found IT8712F chip at 0x290, revision 7
[   13.208665] it87: in3 is VCC (+5V)
[   13.208691] it87: in7 is VCCH (+5V Stand-By)
[   13.437006] fuse init (API version 7.9)
[   14.280658] kjournald starting.  Commit interval 5 seconds
[   14.280824] EXT3 FS on sda3, internal journal
[   14.280824] EXT3-fs: mounted filesystem with ordered data mode.
[   14.727161] ip_tables: (C) 2000-2006 Netfilter Core Team
[   14.753685] nf_conntrack version 0.5.0 (8192 buckets, 32768 max)
[   15.448714] NET: Registered protocol family 10
[   15.449625] lo: Disabled Privacy Extensions
[   15.675518] Bridge firewalling registered
[   15.677157] pan0: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
[   22.898802] Bluetooth: L2CAP ver 2.9
[   22.898835] Bluetooth: L2CAP socket layer initialized
[   22.942449] Bluetooth: RFCOMM socket layer initialized
[   22.942497] Bluetooth: RFCOMM TTY layer initialized
[   22.942525] Bluetooth: RFCOMM ver 1.8
[   22.979957] Bluetooth: BNEP (Ethernet Emulation) ver 1.2
[   22.979990] Bluetooth: BNEP filters: protocol multicast
[   26.357929] [drm] Initialized drm 1.1.0 20060810
[   26.369670] ACPI: PCI Interrupt Link [APC3] enabled at IRQ 18
[   26.369670] ACPI: PCI Interrupt 0000:03:00.0[A] -> Link [APC3] -> GSI 18 (level, low) -> IRQ 18
[   26.369670] PCI: Setting latency timer of device 0000:03:00.0 to 64
[   26.369670] [drm] Initialized radeon 1.28.0 20060524 on minor 0
[   26.663099] pan0: no IPv6 routers present
[   26.889442] eth0: no IPv6 routers present
[   28.291931] [drm] Setting GART location based on new memory map
[   28.291931] [drm] Loading R300 Microcode
[   28.291931] [drm] writeback test succeeded in 1 usecs
[   67.843847] PPP generic driver version 2.4.2

** Loaded modules:
Module                  Size  Used by
ppp_async              16512  1 
crc_ccitt               6656  1 ppp_async
ppp_generic            33448  5 ppp_async
slhc                   10624  1 ppp_generic
radeon                128672  1 
drm                    99112  2 radeon
bnep                   21504  2 
rfcomm                 46112  3 
l2cap                  29696  9 bnep,rfcomm
video                  27412  0 
output                  8704  1 video
ac                      9344  0 
battery                14208  0 
bridge                 61352  0 
ipv6                  294120  16 
ipt_MASQUERADE          8448  6 
iptable_nat            12048  1 
nf_nat                 25624  2 ipt_MASQUERADE,iptable_nat
nf_conntrack_ipv4      23696  3 iptable_nat,nf_nat
nf_conntrack           76304  4 ipt_MASQUERADE,iptable_nat,nf_nat,nf_conntrack_ipv4
iptable_filter          8192  0 
ip_tables              25488  2 iptable_nat,iptable_filter
x_tables               28168  3 ipt_MASQUERADE,iptable_nat,ip_tables
fuse                   53440  0 
snd_seq_dummy           8580  0 
snd_seq_oss            36736  0 
snd_seq_midi           13376  0 
snd_rawmidi            31008  1 snd_seq_midi
snd_seq_midi_event     12544  2 snd_seq_oss,snd_seq_midi
snd_seq                58912  6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_seq_device         12948  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
it87                   31256  0 
hwmon_vid               7680  1 it87
eeprom                 12560  0 
lm90                   21416  0 
joydev                 17664  0 
hci_usb                21148  2 
bluetooth              65444  8 bnep,rfcomm,l2cap,hci_usb
parport_pc             34344  0 
parport                44848  1 parport_pc
serio_raw              11652  0 
pcspkr                  7808  0 
psmouse                45724  0 
k8temp                 10624  0 
snd_intel8x0           41128  5 
snd_ac97_codec        118488  1 snd_intel8x0
ac97_bus                6528  1 snd_ac97_codec
snd_pcm_oss            46752  0 
snd_mixer_oss          21376  1 snd_pcm_oss
snd_pcm                88072  5 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              29328  4 snd_seq,snd_pcm
snd                    66888  16 snd_seq_oss,snd_rawmidi,snd_seq,snd_seq_device,snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              13088  1 snd
snd_page_alloc         15120  2 snd_intel8x0,snd_pcm
button                 13856  0 
i2c_nforce2            11904  0 
i2c_core               30752  3 eeprom,lm90,i2c_nforce2
evdev                  17408  4 
ext3                  139408  2 
jbd                    55336  1 ext3
mbcache                13956  1 ext3
ide_cd_mod             41504  0 
cdrom                  39464  1 ide_cd_mod
sd_mod                 33728  4 
amd74xx                13576  0 [permanent]
usbhid                 49632  0 
hid                    44736  1 usbhid
ff_memless             10248  1 usbhid
usb_storage            94400  0 
8139cp                 28544  0 
ide_pci_generic         9476  0 [permanent]
ide_core              138160  3 ide_cd_mod,amd74xx,ide_pci_generic
sata_nv                32520  3 
8139too                33280  0 
mii                    10240  2 8139cp,8139too
forcedeth              55820  0 
ata_generic            13572  0 
libata                166064  2 sata_nv,ata_generic
scsi_mod              170488  3 sd_mod,usb_storage,libata
dock                   16288  1 libata
ehci_hcd               40076  0 
ohci_hcd               28292  0 
thermal                26656  0 
processor              49388  1 thermal
fan                    10760  0 

** PCI devices:
00:00.0 Memory controller [0580]: nVidia Corporation CK804 Memory Controller [10de:005e] (rev a3)
	Subsystem: Foxconn International, Inc. Device [105b:0ca4]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 ISA bridge [0601]: nVidia Corporation CK804 ISA Bridge [10de:0050] (rev a3)
	Subsystem: Foxconn International, Inc. Device [105b:0ca4]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:01.1 SMBus [0c05]: nVidia Corporation CK804 SMBus [10de:0052] (rev a2)
	Subsystem: Foxconn International, Inc. Device [105b:0ca4]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at fc00 [size=32]
	Region 4: I/O ports at 4c00 [size=64]
	Region 5: I/O ports at 4c40 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: nForce2_smbus
	Kernel modules: i2c-nforce2

00:02.0 USB Controller [0c03]: nVidia Corporation CK804 USB Controller [10de:005a] (rev a2) (prog-if 10)
	Subsystem: Foxconn International, Inc. Device [105b:0ca4]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at dffff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:02.1 USB Controller [0c03]: nVidia Corporation CK804 USB Controller [10de:005b] (rev a3) (prog-if 20)
	Subsystem: Foxconn International, Inc. Device [105b:0ca4]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 23
	Region 0: Memory at feb00000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:04.0 Multimedia audio controller [0401]: nVidia Corporation CK804 AC'97 Audio Controller [10de:0059] (rev a2)
	Subsystem: Foxconn International, Inc. Device [105b:0ca4]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (500ns min, 1250ns max)
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at f000 [size=256]
	Region 1: I/O ports at ec00 [size=256]
	Region 2: Memory at dfffd000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH
	Kernel modules: snd-intel8x0

00:06.0 IDE interface [0101]: nVidia Corporation CK804 IDE [10de:0053] (rev f2) (prog-if 8a [Master SecP PriP])
	Subsystem: Foxconn International, Inc. Device [105b:0ca4]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	Region 4: I/O ports at e000 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: AMD_IDE
	Kernel modules: amd74xx, ide-pci-generic, ata_generic

00:07.0 IDE interface [0101]: nVidia Corporation CK804 Serial ATA Controller [10de:0054] (rev f3) (prog-if 85 [Master SecO PriO])
	Subsystem: Foxconn International, Inc. Device [105b:0ca4]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 21
	Region 0: I/O ports at 09f0 [size=8]
	Region 1: I/O ports at 0bf0 [size=4]
	Region 2: I/O ports at 0970 [size=8]
	Region 3: I/O ports at 0b70 [size=4]
	Region 4: I/O ports at cc00 [size=16]
	Region 5: Memory at dfffb000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: ide-pci-generic, sata_nv, ata_generic

00:08.0 IDE interface [0101]: nVidia Corporation CK804 Serial ATA Controller [10de:0055] (rev f3) (prog-if 85 [Master SecO PriO])
	Subsystem: Foxconn International, Inc. Device [105b:0ca4]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 20
	Region 0: I/O ports at 09e0 [size=8]
	Region 1: I/O ports at 0be0 [size=4]
	Region 2: I/O ports at 0960 [size=8]
	Region 3: I/O ports at 0b60 [size=4]
	Region 4: I/O ports at b800 [size=16]
	Region 5: Memory at dfffa000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: ide-pci-generic, sata_nv, ata_generic

00:09.0 PCI bridge [0604]: nVidia Corporation CK804 PCI Bridge [10de:005c] (rev a2) (prog-if 01)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: dfd00000-dfdfffff
	Prefetchable memory behind bridge: dfe00000-dfefffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn-

00:0a.0 Bridge [0680]: nVidia Corporation CK804 Ethernet Controller [10de:0057] (rev a3)
	Subsystem: Foxconn International, Inc. Device [105b:0ca4]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (250ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at dfff9000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at b400 [size=8]
	Capabilities: <access denied>
	Kernel driver in use: forcedeth
	Kernel modules: forcedeth

00:0d.0 PCI bridge [0604]: nVidia Corporation CK804 PCIE Bridge [10de:005d] (rev a3)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: dfc00000-dfcfffff
	Prefetchable memory behind bridge: 00000000dfb00000-00000000dfbfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0e.0 PCI bridge [0604]: nVidia Corporation CK804 PCIE Bridge [10de:005d] (rev a3)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00008000-00008fff
	Memory behind bridge: dfa00000-dfafffff
	Prefetchable memory behind bridge: 00000000b0000000-00000000cfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration [1022:1100]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map [1022:1101]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller [1022:1102]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control [1022:1103]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Kernel driver in use: k8temp
	Kernel modules: k8temp

01:08.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ [10ec:8139] (rev 10)
	Subsystem: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ [10ec:8139]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (8000ns min, 16000ns max)
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at ac00 [size=256]
	Region 1: Memory at dfdff000 (32-bit, non-prefetchable) [size=256]
	[virtual] Expansion ROM at dfe00000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: 8139too
	Kernel modules: 8139too, 8139cp

03:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV410 [Radeon X700] [1002:5e4f]
	Subsystem: Info-Tek Corp. Device [18bc:0970]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at b0000000 (64-bit, prefetchable) [size=256M]
	Region 2: Memory at dfa00000 (64-bit, non-prefetchable) [size=64K]
	Region 4: I/O ports at 8c00 [size=256]
	[virtual] Expansion ROM at c0000000 [disabled] [size=128K]
	Capabilities: <access denied>

03:00.1 Display controller [0380]: ATI Technologies Inc Device [1002:5e6f]
	Subsystem: Info-Tek Corp. Device [18bc:0971]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Region 0: Memory at dfa10000 (64-bit, non-prefetchable) [disabled] [size=64K]
	Capabilities: <access denied>



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/1 CPU core)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-2-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.22     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92e      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.25-2-amd64 recommends no packages.

Versions of packages linux-image-2.6.25-2-amd64 suggests:
ii  grub                          0.97-41    GRand Unified Bootloader (Legacy v
ii  lilo                          1:22.8-5   LInux LOader - The Classic OS load
pn  linux-doc-2.6.25              <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.25-2-amd64/preinst/abort-overwrite-2.6.25-2-amd64:
  linux-image-2.6.25-2-amd64/prerm/removing-running-kernel-2.6.25-2-amd64: true
  linux-image-2.6.25-2-amd64/postinst/old-initrd-link-2.6.25-2-amd64: true
  linux-image-2.6.25-2-amd64/postinst/create-kimage-link-2.6.25-2-amd64: true
  linux-image-2.6.25-2-amd64/preinst/failed-to-move-modules-2.6.25-2-amd64:
  linux-image-2.6.25-2-amd64/preinst/abort-install-2.6.25-2-amd64:
  linux-image-2.6.25-2-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.25-2-amd64/postinst/depmod-error-2.6.25-2-amd64: false
  linux-image-2.6.25-2-amd64/postinst/bootloader-test-error-2.6.25-2-amd64:
  linux-image-2.6.25-2-amd64/postinst/old-system-map-link-2.6.25-2-amd64: true
  linux-image-2.6.25-2-amd64/prerm/would-invalidate-boot-loader-2.6.25-2-amd64: true
  linux-image-2.6.25-2-amd64/preinst/overwriting-modules-2.6.25-2-amd64: true
  linux-image-2.6.25-2-amd64/postinst/depmod-error-initrd-2.6.25-2-amd64: false
  linux-image-2.6.25-2-amd64/postinst/old-dir-initrd-link-2.6.25-2-amd64: true
  linux-image-2.6.25-2-amd64/preinst/elilo-initrd-2.6.25-2-amd64: true
  linux-image-2.6.25-2-amd64/postinst/bootloader-error-2.6.25-2-amd64:
  linux-image-2.6.25-2-amd64/preinst/lilo-initrd-2.6.25-2-amd64: true
  linux-image-2.6.25-2-amd64/preinst/lilo-has-ramdisk:
  linux-image-2.6.25-2-amd64/preinst/initrd-2.6.25-2-amd64:
  linux-image-2.6.25-2-amd64/preinst/bootloader-initrd-2.6.25-2-amd64: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to mattb <mattb@iarc.uaf.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #125 received at 479101@bugs.debian.org (full text, mbox):

From: mattb <mattb@iarc.uaf.edu>
To: 479101@bugs.debian.org
Subject: Observation
Date: Mon, 28 Jul 2008 13:22:04 -0800
I stumbled across this bug report and noted the poster said:

"The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine."

MacBook Pro is an Intel Core machine.


Apple doesn't use AMD processors at all.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #130 received at 479101@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: mattb <mattb@iarc.uaf.edu>, 479101@bugs.debian.org
Subject: Re: Bug#479101: Observation
Date: Mon, 28 Jul 2008 16:21:23 -0600
On Mon, Jul 28, 2008 at 01:22:04PM -0800, mattb wrote:
> I stumbled across this bug report and noted the poster said:
>
> "The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine."
>
> MacBook Pro is an Intel Core machine.
>
>
> Apple doesn't use AMD processors at all.

Thanks Matt. Actually, amd64 is the portname, and doesn't necessarily
correspond with the processor manufacturer.

For an explanation, see: http://wiki.debian.org/DebianAMD64Faq

-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sam <deb-bugs@samartha.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #135 received at 479101@bugs.debian.org (full text, mbox):

From: Sam <deb-bugs@samartha.net>
To: 479101@bugs.debian.org
Subject: Re: Bug#479101: #479101: Kernel panic: Unable to mount root also, with 2.6.25-3
Date: Tue, 02 Sep 2008 18:48:26 -0600

> Am Dienstag, den 20.05.2008, 23:49 +0200 schrieb maximilian attems:
>
> > > I have the described problem also with linux-image-2.6.25-2-amd64
> > > 2.6.25-3.
> >
> > this is a lilo bug, haven't seen much reaction from lilo maintainer/dev
> > side yet. see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479607#96
> > and followups for workaround.
> >
> > seems lilo is passing full initramfs due to some size limitation.
>
> Thanks for the pointer which helped me to get 2.6.25-2-amd64 running:
>
> 1. edit /etc/initramfs-tools/initramfs.conf and change the default
> "MODULES=most" to "MODULES=dep"
>
> 2. run "update-initramfs -k 2.6.25-2-amd64 -u -v"
>
> 3. reboot
>
>
>
I am grinding my teeth on this kernel panic issue as well on Debian with 
compiling kernel 2.6.26

result for the above suggestion when editing the initramfs.conf that 
update-initramfs -k.... coughs that initramfs.conf has changed and it's 
refusing to change/update.

Solution was to change the initramfs.conf, then the mkinitrd -o 
initrd.img-2.6.26 2.6.26 which should implement the changed option
result:  unchanged

The box is a Compaq DL 380 with a cpqarray raid controller running 
kernel 2.6.18-4-686 fine.
Grub is reported to be unreliable on that box, so it's lilo

with kernel 2.6.24 identical kernel panic issue

somewhere (http://kernel.xc.net/html/linux-2.6.19/h8300/BLK_CPQ_DA)  I 
found to set
CONFIG_BLK_CPQ_DA=y
CONFIG_BLK_CPQ_CISS_DA=y

which make mkinitrd complain that the modules are missing and it may not 
work.







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Samartha Deva <samartha@samartha.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #140 received at 479101@bugs.debian.org (full text, mbox):

From: Samartha Deva <samartha@samartha.net>
To: 479101@bugs.debian.org
Subject: Re: Bug#479101: #479101: Kernel panic: Unable to mount root also,, with 2.6.25-3
Date: Tue, 02 Sep 2008 20:14:10 -0600
sent too early, continued from:

> which make mkinitrd complain that the modules are missing and it may 
> not work. 
Solution was to change it to modules, which fixed the mkinitrd warning 
but not the kernel panic.

It seems as if a driver is missing to access the xfs file system.
I was playing with root=/dev/ida/c0d0p1 in lilo.conf

at one point, the boot messages listed all the partitions on the system 
which indicates that it can read the disk but still did the panic:

no file system could mount root, tried: xfs
Kernel panic - not syncing
VFS: unable to mount root fs on unknown -  block(72,1)

will continue trying - `






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sam <deb-bugs@samartha.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #145 received at 479101@bugs.debian.org (full text, mbox):

From: Sam <deb-bugs@samartha.net>
To: 479101@bugs.debian.org
Subject: Re: Bug#479101: #479101: Kernel panic: Unable to mount root also,,, with 2.6.25-3
Date: Wed, 03 Sep 2008 00:26:19 -0600
> will continue trying - 
Found one difference:

running kernel version 2.6.18 has a gzipped cpio initrd.img format,

the kernels 2.6.24 and 2.6.26 have cramfs initrd format

converted the 2.6.26 cramfs to gzipped cpio and - still panics on the 
same place....

mount -t cramfs -o loop initrd.img-2.6.26  /mnt/loop

df

Filesystem           1K-blocks      Used Available Use% Mounted on
.....
/boot/w/t1                5608      5608         0 100% /mnt/loop
/boot/w/initrd.img-2.6.26
                         5608      5608         0 100% /mnt/loop

cd /mnt/loop 
find . -print | cpio -ov > /tmp/cpio.out
gzip -v /tmp/cpio.out
mv initrd.img-2.6.26 initrd.img-2.6.26.cramfs
mv /tmp/cpio.out.gz initrd.img-2.6.26

...





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-2.6. (Mon, 29 Dec 2008 13:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 29 Dec 2008 13:57:05 GMT) Full text and rfc822 format available.

Message #150 received at 479101@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Cc: 479101@bugs.debian.org, jmm@debian.org
Subject: Re: Bug#479607: With lilo 22.8-5 still can't boot on macbookpro
Date: Mon, 29 Dec 2008 14:55:38 +0100
On Mon, Jul 14, 2008 at 11:00:00PM +0200, Eugen Dedu wrote:
> reopen 479607
> thanks
>
> annonygmouse wrote:
>>
>> Hi folks I've seen bug 479607 has been closed with lilo version 22.8-5  
>> but I still can't boot my machine with 2.6.25-2...
>>
>>
>> debianmbp:~# LANG=C aptitude show lilo
>> Package: lilo
>> State: installed
>> Automatically installed: no
>> Version: 1:22.8-5
>> Priority: optional
>> Section: admin
>> Maintainer: William Pitcock <nenolod@sacredspiral.co.uk>
>> Uncompressed Size: 1208k
>> Depends: mbr, debconf (>= 1.2.9) | debconf-2.0, libc6 (>= 2.7-1),  
>> libdevmapper1.02.1 (>= 2:1.02.20)
>> Suggests: lilo-doc
>> Conflicts: manpages (< 1.29-3)
>> Description: LInux LOader - The Classic OS loader can load Linux and others
>>  This package contains lilo (the installer) and boot-record-images to  
>> install Linux, OS/2, DOS and generic Boot Sectors of other OSes.
>>
>>  You can use LILO to manage your Master Boot Record (with a simple text 
>> screen, text menu or colorful splash graphics) or call LILO from
>>  other Boot-Loaders to jump-start the Linux kernel.
>>
>> Tags: admin::boot, interface::commandline, role::program, scope::utility
>>
>> debianmbp:~#
>>
>> Running lilo shows the following.
>>
>> debianmbp:~# lilo
>> Warning: LBA32 addressing assumed
>> Added Linux *
>> Added LinuxOLD
>> One warning was issued.
>> debianmbp:~#
>>
>>
>> Is this the warning saying that de 8MB barrier has been met? Because I  
>> think this warning happened before...
>
> Hi,
>
> It seems to me that lilo does not show any warning for the image which  
> does not work on my machine.  In fact, as previously said, the image has  
> less than 8MB:
>
> -rw-r--r-- 1 root root 6998498 2008-05-16 10:11 initrd.img-2.6.25-2-amd64
>
> I put a few days ago this image as the default one and run lilo: no  
> warning was issued about the size, still rebooting the computer does not  
> work.
>
> So I reopen this bug.

Lilo was fixed in version 1:22.8-6.4 onwards. Can you confirm that it resolves
the problem for you?

Cheers,
        Moritz








Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Sun, 08 Feb 2009 10:27:03 GMT) Full text and rfc822 format available.

Notification sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Bug acknowledged by developer. (Sun, 08 Feb 2009 10:27:04 GMT) Full text and rfc822 format available.

Message #155 received at 479101-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Cc: 479101-done@bugs.debian.org
Subject: Re: Bug#479607: With lilo 22.8-5 still can't boot on macbookpro
Date: Sun, 8 Feb 2009 11:26:20 +0100
On Mon, Dec 29, 2008 at 02:55:38PM +0100, Moritz Muehlenhoff wrote:
> On Mon, Jul 14, 2008 at 11:00:00PM +0200, Eugen Dedu wrote:
> >> Is this the warning saying that de 8MB barrier has been met? Because I  
> >> think this warning happened before...
> >
> > Hi,
> >
> > It seems to me that lilo does not show any warning for the image which  
> > does not work on my machine.  In fact, as previously said, the image has  
> > less than 8MB:
> >
> > -rw-r--r-- 1 root root 6998498 2008-05-16 10:11 initrd.img-2.6.25-2-amd64
> >
> > I put a few days ago this image as the default one and run lilo: no  
> > warning was issued about the size, still rebooting the computer does not  
> > work.
> >
> > So I reopen this bug.
> 
> Lilo was fixed in version 1:22.8-6.4 onwards. Can you confirm that it resolves
> the problem for you?

Closing the bug, if you re-encounter the problem, please reopen.
 
Cheers,
        Moritz




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Mar 2009 07:28:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:51:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.